Get list of WordPress Site themes
curl --request GET \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/themes \
--header 'Authorization: Bearer <token>'{
"environment": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15b2",
"container_info": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15c3",
"wp_themes": {
"data": [
{
"name": "twentytwentythree",
"title": "Twenty Twenty Three",
"status": "active",
"version": "1.0.0",
"update": "available",
"update_version": "1.0.1",
"update_status": "updated"
}
]
}
}
}
}WordPress Site Themes & Plugins
Get list of WordPress Site themes
deprecated
This endpoint is deprecated. Please use Get Wordpress Themes instead.
GET
/
sites
/
environments
/
{env_id}
/
themes
Get list of WordPress Site themes
curl --request GET \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/themes \
--header 'Authorization: Bearer <token>'{
"environment": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15b2",
"container_info": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15c3",
"wp_themes": {
"data": [
{
"name": "twentytwentythree",
"title": "Twenty Twenty Three",
"status": "active",
"version": "1.0.0",
"update": "available",
"update_version": "1.0.1",
"update_status": "updated"
}
]
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinqsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Response
Successfully found WP themes
Show child attributes
Show child attributes
⌘I